package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisHiddAssess;

/**
 * 隐患考核 服务层
 */
public interface IBisHiddAssessService {

    /**
     * 查询隐患考核信息
     * @param id 查询条件
     * @return 隐患考核信息
     */
    BisHiddAssess selectBisHiddAssessById(Long id);

    /**
     * 查询隐患考核列表
     * @param bisHiddAssess 隐患考核查询条件
     * @return 隐患考核集合
     */
    List<BisHiddAssess> selectBisHiddAssessList(BisHiddAssess bisHiddAssess);

    /**
     * 新增隐患考核
     * @param bisHiddAssess 隐患考核信息
     * @return 影响行数
     */
    int insertBisHiddAssess(BisHiddAssess bisHiddAssess);

    /**
     * 修改隐患考核
     * @param bisHiddAssess 隐患考核信息
     * @return 影响行数
     */
    int updateBisHiddAssess(BisHiddAssess bisHiddAssess);

    /**
     * 删除隐患考核
     * @param id 隐患考核主键
     * @return 影响行数
     */
    int deleteBisHiddAssessById(Long id);

    /**
     * 批量删除隐患考核
     * @param ids 隐患考核主键数组
     * @return 影响行数
     */
    int deleteBisHiddAssessByIds(Long[] ids);
}
